Loading...
Searching...
No Matches
GridStats< GridT, StatsT > Class Template Reference

Allows for the construction of NanoVDB grids without any dependency. More...

`#include <nanovdb/util/GridStats.h>`

## Classes

struct | NodeStats

## Public Member Functions

| GridStats ()=default
void | operator() (GridT &grid, ValueT delta=ValueT(0))

## Detailed Description

template<typename GridT, typename StatsT = Stats<typename GridT::ValueType>>
class nanovdb::GridStats< GridT, StatsT >

Allows for the construction of NanoVDB grids without any dependency.

## Constructor & Destructor Documentation

## GridStats()

template<typename GridT , typename StatsT = Stats<typename GridT::ValueType>>

GridStats | ( |  | ) |

default

## Member Function Documentation

## operator()()

template<typename GridT , typename StatsT >

void operator() | ( | GridT & | grid,
|  | ValueT | delta = `ValueT(0)`
| ) |  |